> For the complete documentation index, see [llms.txt](https://qikchat.gitbook.io/apidocs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qikchat.gitbook.io/apidocs/reference/api-reference/location-request.md).

# Location Request

Location request messages display **body text** and a **send location button**. When a WhatsApp user taps the button, a location sharing screen appears which the user can then use to share their location.

### Sending Location Request

To send a message, use the request URL and the following body parameters.

**Request Example**

```
{
    "to_contact": "+918080808080",
    "type": "interactive",
    "interactive": {
        "type": "location_request_message",
        "body": {
            "text": "Thanks for your order.\nPlease Send your location to proceed."
        },
        "action": {
            "name": "send_location"
        }
    }
}
```
